org.richfaces.component

## Class AbstractMenuGroup

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.AbstractMenuGroup

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    UIMenuGroup

      public abstract class AbstractMenuGroup
      extends javax.faces.component.UIOutput

  The <rich:menuGroup> component represents an expandable sub-menu in a menu control. The <rich:menuGroup> component can contain a number of <rich:menuItem> components, or further nested <rich:menuGroup> components.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AbstractMenuGroup.Facets`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIOutput

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractMenuGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getCssRoot()`
    `abstract org.richfaces.component.Positioning` | `getDirection()`
    `abstract int` | `getHorizontalOffset()`
    `abstract String` | `getIcon()` The icon to be displayed with the menu item
    `abstract String` | `getIconDisabled()` The icon to be displayed with the menu item when it is disabled
    `abstract org.richfaces.component.Positioning` | `getJointPoint()`
    `abstract String` | `getLabel()` The text label for the menu item.
    `abstract String` | `getOnhide()` The client-side script method to be called when this menuGroup is hidden
    `abstract String` | `getOnshow()` The client-side script method to be called when this menuGroup is shown
    `abstract String` | `getStyle()`
    `abstract String` | `getStyleClass()`
    `abstract Object` | `getValue()`
    `abstract int` | `getVerticalOffset()`
    `abstract boolean` | `isDisabled()` Disables the menu component, so it will not activate/expand

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getFamily, getLocalValue, markInitialState, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractMenuGroup

          public AbstractMenuGroup()

  - ### Method Detail

    - #### isDisabled

          public abstract boolean isDisabled()

      Disables the menu component, so it will not activate/expand

    - #### getIcon

          public abstract String getIcon()

      The icon to be displayed with the menu item

    - #### getIconDisabled

          public abstract String getIconDisabled()

      The icon to be displayed with the menu item when it is disabled

    - #### getLabel

          public abstract String getLabel()

      The text label for the menu item. Alternatively, use the label facet to define content for the label

    - #### getStyleClass

          public abstract String getStyleClass()

    - #### getStyle

          public abstract String getStyle()

    - #### getDirection

          public abstract org.richfaces.component.Positioning getDirection()

    - #### getJointPoint

          public abstract org.richfaces.component.Positioning getJointPoint()

    - #### getVerticalOffset

          public abstract int getVerticalOffset()

    - #### getHorizontalOffset

          public abstract int getHorizontalOffset()

    - #### getOnshow

          public abstract String getOnshow()

      The client-side script method to be called when this menuGroup is shown

    - #### getOnhide

          public abstract String getOnhide()

      The client-side script method to be called when this menuGroup is hidden

    - #### getValue

          public abstract Object getValue()

      Specified by:
        `getValue` in interface `javax.faces.component.ValueHolder`
      Overrides:
        `getValue` in class `javax.faces.component.UIOutput`

    - #### getCssRoot

          public Object getCssRoot()

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.